Gestiono
Referencia de APITasks / Schedule

Update Schedule by scheduleid

← Back to full API reference
PATCH/v1/tasks/schedule/:scheduleIdAuth required
  • Validated by Zod schema: patchTaskSchedule.

Request details

Path params

FieldRequiredDescription
scheduleIdYesRequired path parameter.

Body fields

FieldRequiredDescription
taskIdNoType: number
startNoReference to unresolved identifier "z"
durationNoType: number
titleNoType: string
descriptionNoType: string
locationNoType: string
urlNoType: string
latNoType: number
lonNoType: number
statusNoType: string
submissionNoType: object
notificationConfigNoType: object
notificationConfig.proximityAlertsNoType: object
notificationConfig.proximityAlerts.enabledYesBoolean parser helper from common/utils.zBoolean
notificationConfig.proximityAlerts.intervalsNoType: arrayExample:
notificationConfig.proximityAlerts.intervals[]YesType: enumExample: 1_day
notificationConfig.proximityAlerts.emailNotificationsNoBoolean parser helper from common/utils.zBoolean
capacityNoType: number
isGroupEventNoBoolean parser helper from common/utils.zBoolean
idYesType: number

Default payloads

Path params

json
{
  "scheduleId": 1
}

Query

json
{}

Body

json
{
  "id": 1
}

Sample response

json
{
  "affectedRows": "<affectedRows>"
}